_CASING_FORWARD_TABLE = {
    "acceptedNames": "accepted_names",
    "accessModes": "access_modes",
    "activeDeadlineSeconds": "active_deadline_seconds",
    "additionalItems": "additional_items",
    "additionalProperties": "additional_properties",
    "aggregationRule": "aggregation_rule",
    "allOf": "all_of",
    "allowPrivilegeEscalation": "allow_privilege_escalation",
    "allowVolumeExpansion": "allow_volume_expansion",
    "allowedCapabilities": "allowed_capabilities",
    "allowedFlexVolumes": "allowed_flex_volumes",
    "allowedHostPaths": "allowed_host_paths",
    "anyOf": "any_of",
    "apiGroup": "api_group",
    "apiGroups": "api_groups",
    "apiVersion": "api_version",
    "apiVersions": "api_versions",
    "attachError": "attach_error",
    "attachmentMetadata": "attachment_metadata",
    "automountServiceAccountToken": "automount_service_account_token",
    "availableReplicas": "available_replicas",
    "awsElasticBlockStore": "aws_elastic_block_store",
    "azureDisk": "azure_disk",
    "azureFile": "azure_file",
    "backoffLimit": "backoff_limit",
    "blockOwnerDeletion": "block_owner_deletion",
    "bootID": "boot_id",
    "buildDate": "build_date",
    "caBundle": "ca_bundle",
    "cachingMode": "caching_mode",
    "chapAuthDiscovery": "chap_auth_discovery",
    "chapAuthSession": "chap_auth_session",
    "claimName": "claim_name",
    "claimRef": "claim_ref",
    "clientCIDR": "client_cidr",
    "clientConfig": "client_config",
    "clientIP": "client_ip",
    "clusterIP": "cluster_ip",
    "clusterName": "cluster_name",
    "clusterRoleSelectors": "cluster_role_selectors",
    "collisionCount": "collision_count",
    "completionTime": "completion_time",
    "concurrencyPolicy": "concurrency_policy",
    "configMap": "config_map",
    "configMapKeyRef": "config_map_key_ref",
    "configMapRef": "config_map_ref",
    "configSource": "config_source",
    "containerID": "container_id",
    "containerName": "container_name",
    "containerPort": "container_port",
    "containerRuntimeVersion": "container_runtime_version",
    "containerStatuses": "container_statuses",
    "creationTimestamp": "creation_timestamp",
    "currentAverageUtilization": "current_average_utilization",
    "currentAverageValue": "current_average_value",
    "currentCPUUtilizationPercentage": "current_cpu_utilization_percentage",
    "currentHealthy": "current_healthy",
    "currentMetrics": "current_metrics",
    "currentNumberScheduled": "current_number_scheduled",
    "currentReplicas": "current_replicas",
    "currentRevision": "current_revision",
    "currentValue": "current_value",
    "daemonEndpoints": "daemon_endpoints",
    "datasetName": "dataset_name",
    "datasetUUID": "dataset_uuid",
    "defaultAddCapabilities": "default_add_capabilities",
    "defaultAllowPrivilegeEscalation": "default_allow_privilege_escalation",
    "defaultMode": "default_mode",
    "defaultRequest": "default_request",
    "deleteOptions": "delete_options",
    "deletionGracePeriodSeconds": "deletion_grace_period_seconds",
    "deletionTimestamp": "deletion_timestamp",
    "deprecatedCount": "deprecated_count",
    "deprecatedFirstTimestamp": "deprecated_first_timestamp",
    "deprecatedLastTimestamp": "deprecated_last_timestamp",
    "deprecatedSource": "deprecated_source",
    "desiredHealthy": "desired_healthy",
    "desiredNumberScheduled": "desired_number_scheduled",
    "desiredReplicas": "desired_replicas",
    "detachError": "detach_error",
    "devicePath": "device_path",
    "diskName": "disk_name",
    "diskURI": "disk_uri",
    "disruptedPods": "disrupted_pods",
    "disruptionsAllowed": "disruptions_allowed",
    "dnsConfig": "dns_config",
    "dnsPolicy": "dns_policy",
    "downwardAPI": "downward_api",
    "emptyDir": "empty_dir",
    "envFrom": "env_from",
    "evaluationError": "evaluation_error",
    "eventTime": "event_time",
    "exclusiveMaximum": "exclusive_maximum",
    "exclusiveMinimum": "exclusive_minimum",
    "exitCode": "exit_code",
    "expectedPods": "expected_pods",
    "externalDocs": "external_docs",
    "externalID": "external_id",
    "externalIPs": "external_i_ps",
    "externalName": "external_name",
    "externalTrafficPolicy": "external_traffic_policy",
    "failedJobsHistoryLimit": "failed_jobs_history_limit",
    "failurePolicy": "failure_policy",
    "failureThreshold": "failure_threshold",
    "fieldPath": "field_path",
    "fieldRef": "field_ref",
    "finishedAt": "finished_at",
    "firstTimestamp": "first_timestamp",
    "flexVolume": "flex_volume",
    "fsGroup": "fs_group",
    "fsType": "fs_type",
    "fullyLabeledReplicas": "fully_labeled_replicas",
    "gcePersistentDisk": "gce_persistent_disk",
    "generateName": "generate_name",
    "gitCommit": "git_commit",
    "gitRepo": "git_repo",
    "gitTreeState": "git_tree_state",
    "gitVersion": "git_version",
    "globalDefault": "global_default",
    "goVersion": "go_version",
    "gracePeriodSeconds": "grace_period_seconds",
    "groupPriorityMinimum": "group_priority_minimum",
    "groupVersion": "group_version",
    "healthCheckNodePort": "health_check_node_port",
    "hostAliases": "host_aliases",
    "hostIP": "host_ip",
    "hostIPC": "host_ipc",
    "hostNetwork": "host_network",
    "hostPID": "host_pid",
    "hostPath": "host_path",
    "hostPort": "host_port",
    "hostPorts": "host_ports",
    "httpGet": "http_get",
    "httpHeaders": "http_headers",
    "imageID": "image_id",
    "imagePullPolicy": "image_pull_policy",
    "imagePullSecrets": "image_pull_secrets",
    "initContainerStatuses": "init_container_statuses",
    "initContainers": "init_containers",
    "initialDelaySeconds": "initial_delay_seconds",
    "initiatorName": "initiator_name",
    "insecureSkipTLSVerify": "insecure_skip_tls_verify",
    "involvedObject": "involved_object",
    "ipBlock": "ip_block",
    "iscsiInterface": "iscsi_interface",
    "jobTemplate": "job_template",
    "kernelVersion": "kernel_version",
    "kubeProxyVersion": "kube_proxy_version",
    "kubeletEndpoint": "kubelet_endpoint",
    "kubeletVersion": "kubelet_version",
    "labelSelector": "label_selector",
    "lastHeartbeatTime": "last_heartbeat_time",
    "lastObservedTime": "last_observed_time",
    "lastProbeTime": "last_probe_time",
    "lastScaleTime": "last_scale_time",
    "lastScheduleTime": "last_schedule_time",
    "lastState": "last_state",
    "lastTimestamp": "last_timestamp",
    "lastTransitionTime": "last_transition_time",
    "lastUpdateTime": "last_update_time",
    "listKind": "list_kind",
    "livenessProbe": "liveness_probe",
    "loadBalancer": "load_balancer",
    "loadBalancerIP": "load_balancer_ip",
    "loadBalancerSourceRanges": "load_balancer_source_ranges",
    "machineID": "machine_id",
    "manualSelector": "manual_selector",
    "matchExpressions": "match_expressions",
    "matchLabels": "match_labels",
    "maxItems": "max_items",
    "maxLength": "max_length",
    "maxLimitRequestRatio": "max_limit_request_ratio",
    "maxProperties": "max_properties",
    "maxReplicas": "max_replicas",
    "maxSurge": "max_surge",
    "maxUnavailable": "max_unavailable",
    "metricName": "metric_name",
    "minAvailable": "min_available",
    "minItems": "min_items",
    "minLength": "min_length",
    "minProperties": "min_properties",
    "minReadySeconds": "min_ready_seconds",
    "minReplicas": "min_replicas",
    "mountOptions": "mount_options",
    "mountPath": "mount_path",
    "mountPropagation": "mount_propagation",
    "multipleOf": "multiple_of",
    "namespaceSelector": "namespace_selector",
    "nodeAffinity": "node_affinity",
    "nodeInfo": "node_info",
    "nodeName": "node_name",
    "nodePort": "node_port",
    "nodeSelector": "node_selector",
    "nodeSelectorTerms": "node_selector_terms",
    "nonResourceAttributes": "non_resource_attributes",
    "nonResourceRules": "non_resource_rules",
    "nonResourceURLs": "non_resource_ur_ls",
    "notReadyAddresses": "not_ready_addresses",
    "numberAvailable": "number_available",
    "numberMisscheduled": "number_misscheduled",
    "numberReady": "number_ready",
    "numberUnavailable": "number_unavailable",
    "observedGeneration": "observed_generation",
    "oneOf": "one_of",
    "openAPIV3Schema": "open_apiv3_schema",
    "operatingSystem": "operating_system",
    "orphanDependents": "orphan_dependents",
    "osImage": "os_image",
    "ownerReferences": "owner_references",
    "pathPrefix": "path_prefix",
    "patternProperties": "pattern_properties",
    "pdID": "pd_id",
    "pdName": "pd_name",
    "periodSeconds": "period_seconds",
    "persistentVolumeClaim": "persistent_volume_claim",
    "persistentVolumeName": "persistent_volume_name",
    "persistentVolumeReclaimPolicy": "persistent_volume_reclaim_policy",
    "photonPersistentDisk": "photon_persistent_disk",
    "podAffinity": "pod_affinity",
    "podAffinityTerm": "pod_affinity_term",
    "podAntiAffinity": "pod_anti_affinity",
    "podCIDR": "pod_cidr",
    "podIP": "pod_ip",
    "podManagementPolicy": "pod_management_policy",
    "podSelector": "pod_selector",
    "policyTypes": "policy_types",
    "portworxVolume": "portworx_volume",
    "postStart": "post_start",
    "preStop": "pre_stop",
    "preferredDuringSchedulingIgnoredDuringExecution": "preferred_during_scheduling_ignored_during_execution",
    "preferredVersion": "preferred_version",
    "priorityClassName": "priority_class_name",
    "progressDeadlineSeconds": "progress_deadline_seconds",
    "propagationPolicy": "propagation_policy",
    "protectionDomain": "protection_domain",
    "providerID": "provider_id",
    "publishNotReadyAddresses": "publish_not_ready_addresses",
    "qosClass": "qos_class",
    "readOnly": "read_only",
    "readOnlyRootFilesystem": "read_only_root_filesystem",
    "readinessProbe": "readiness_probe",
    "readyReplicas": "ready_replicas",
    "reclaimPolicy": "reclaim_policy",
    "reportingComponent": "reporting_component",
    "reportingController": "reporting_controller",
    "reportingInstance": "reporting_instance",
    "requiredDropCapabilities": "required_drop_capabilities",
    "requiredDuringSchedulingIgnoredDuringExecution": "required_during_scheduling_ignored_during_execution",
    "resourceAttributes": "resource_attributes",
    "resourceFieldRef": "resource_field_ref",
    "resourceNames": "resource_names",
    "resourceRules": "resource_rules",
    "resourceVersion": "resource_version",
    "restartCount": "restart_count",
    "restartPolicy": "restart_policy",
    "retryAfterSeconds": "retry_after_seconds",
    "revisionHistoryLimit": "revision_history_limit",
    "roleRef": "role_ref",
    "rollbackTo": "rollback_to",
    "rollingUpdate": "rolling_update",
    "runAsNonRoot": "run_as_non_root",
    "runAsUser": "run_as_user",
    "scaleIO": "scale_io",
    "scaleTargetRef": "scale_target_ref",
    "schedulerName": "scheduler_name",
    "seLinux": "se_linux",
    "seLinuxOptions": "se_linux_options",
    "secretFile": "secret_file",
    "secretKeyRef": "secret_key_ref",
    "secretName": "secret_name",
    "secretNamespace": "secret_namespace",
    "secretRef": "secret_ref",
    "securityContext": "security_context",
    "selfLink": "self_link",
    "serverAddress": "server_address",
    "serverAddressByClientCIDRs": "server_address_by_client_cid_rs",
    "serviceAccount": "service_account",
    "serviceAccountName": "service_account_name",
    "serviceName": "service_name",
    "servicePort": "service_port",
    "sessionAffinity": "session_affinity",
    "sessionAffinityConfig": "session_affinity_config",
    "shareName": "share_name",
    "shortNames": "short_names",
    "singularName": "singular_name",
    "sizeBytes": "size_bytes",
    "sizeLimit": "size_limit",
    "sslEnabled": "ssl_enabled",
    "startTime": "start_time",
    "startedAt": "started_at",
    "startingDeadlineSeconds": "starting_deadline_seconds",
    "stdinOnce": "stdin_once",
    "storageClassName": "storage_class_name",
    "storageMode": "storage_mode",
    "storagePolicyID": "storage_policy_id",
    "storagePolicyName": "storage_policy_name",
    "storagePool": "storage_pool",
    "stringData": "string_data",
    "subPath": "sub_path",
    "successThreshold": "success_threshold",
    "successfulJobsHistoryLimit": "successful_jobs_history_limit",
    "supplementalGroups": "supplemental_groups",
    "systemUUID": "system_uuid",
    "targetAverageUtilization": "target_average_utilization",
    "targetAverageValue": "target_average_value",
    "targetCPUUtilizationPercentage": "target_cpu_utilization_percentage",
    "targetPort": "target_port",
    "targetPortal": "target_portal",
    "targetRef": "target_ref",
    "targetSelector": "target_selector",
    "targetValue": "target_value",
    "targetWWNs": "target_ww_ns",
    "tcpSocket": "tcp_socket",
    "templateGeneration": "template_generation",
    "terminationGracePeriodSeconds": "termination_grace_period_seconds",
    "terminationMessagePath": "termination_message_path",
    "terminationMessagePolicy": "termination_message_policy",
    "timeAdded": "time_added",
    "timeoutSeconds": "timeout_seconds",
    "tolerationSeconds": "toleration_seconds",
    "topologyKey": "topology_key",
    "unavailableReplicas": "unavailable_replicas",
    "uniqueItems": "unique_items",
    "updateRevision": "update_revision",
    "updateStrategy": "update_strategy",
    "updatedAnnotations": "updated_annotations",
    "updatedNumberScheduled": "updated_number_scheduled",
    "updatedReplicas": "updated_replicas",
    "valueFrom": "value_from",
    "versionPriority": "version_priority",
    "volumeBindingMode": "volume_binding_mode",
    "volumeClaimTemplates": "volume_claim_templates",
    "volumeDevices": "volume_devices",
    "volumeHandle": "volume_handle",
    "volumeID": "volume_id",
    "volumeMode": "volume_mode",
    "volumeMounts": "volume_mounts",
    "volumeName": "volume_name",
    "volumeNamespace": "volume_namespace",
    "volumePath": "volume_path",
    "volumesAttached": "volumes_attached",
    "volumesInUse": "volumes_in_use",
    "vsphereVolume": "vsphere_volume",
    "workingDir": "working_dir",
}
_CASING_BACKWARD_TABLE = {
    "accepted_names": "acceptedNames",
    "access_modes": "accessModes",
    "active_deadline_seconds": "activeDeadlineSeconds",
    "additional_items": "additionalItems",
    "additional_properties": "additionalProperties",
    "aggregation_rule": "aggregationRule",
    "all_of": "allOf",
    "allow_privilege_escalation": "allowPrivilegeEscalation",
    "allow_volume_expansion": "allowVolumeExpansion",
    "allowed_capabilities": "allowedCapabilities",
    "allowed_flex_volumes": "allowedFlexVolumes",
    "allowed_host_paths": "allowedHostPaths",
    "any_of": "anyOf",
    "api_group": "apiGroup",
    "api_groups": "apiGroups",
    "api_version": "apiVersion",
    "api_versions": "apiVersions",
    "attach_error": "attachError",
    "attachment_metadata": "attachmentMetadata",
    "automount_service_account_token": "automountServiceAccountToken",
    "available_replicas": "availableReplicas",
    "aws_elastic_block_store": "awsElasticBlockStore",
    "azure_disk": "azureDisk",
    "azure_file": "azureFile",
    "backoff_limit": "backoffLimit",
    "block_owner_deletion": "blockOwnerDeletion",
    "boot_id": "bootID",
    "build_date": "buildDate",
    "ca_bundle": "caBundle",
    "caching_mode": "cachingMode",
    "chap_auth_discovery": "chapAuthDiscovery",
    "chap_auth_session": "chapAuthSession",
    "claim_name": "claimName",
    "claim_ref": "claimRef",
    "client_cidr": "clientCIDR",
    "client_config": "clientConfig",
    "client_ip": "clientIP",
    "cluster_ip": "clusterIP",
    "cluster_name": "clusterName",
    "cluster_role_selectors": "clusterRoleSelectors",
    "collision_count": "collisionCount",
    "completion_time": "completionTime",
    "concurrency_policy": "concurrencyPolicy",
    "config_map": "configMap",
    "config_map_key_ref": "configMapKeyRef",
    "config_map_ref": "configMapRef",
    "config_source": "configSource",
    "container_id": "containerID",
    "container_name": "containerName",
    "container_port": "containerPort",
    "container_runtime_version": "containerRuntimeVersion",
    "container_statuses": "containerStatuses",
    "creation_timestamp": "creationTimestamp",
    "current_average_utilization": "currentAverageUtilization",
    "current_average_value": "currentAverageValue",
    "current_cpu_utilization_percentage": "currentCPUUtilizationPercentage",
    "current_healthy": "currentHealthy",
    "current_metrics": "currentMetrics",
    "current_number_scheduled": "currentNumberScheduled",
    "current_replicas": "currentReplicas",
    "current_revision": "currentRevision",
    "current_value": "currentValue",
    "daemon_endpoints": "daemonEndpoints",
    "dataset_name": "datasetName",
    "dataset_uuid": "datasetUUID",
    "default_add_capabilities": "defaultAddCapabilities",
    "default_allow_privilege_escalation": "defaultAllowPrivilegeEscalation",
    "default_mode": "defaultMode",
    "default_request": "defaultRequest",
    "delete_options": "deleteOptions",
    "deletion_grace_period_seconds": "deletionGracePeriodSeconds",
    "deletion_timestamp": "deletionTimestamp",
    "deprecated_count": "deprecatedCount",
    "deprecated_first_timestamp": "deprecatedFirstTimestamp",
    "deprecated_last_timestamp": "deprecatedLastTimestamp",
    "deprecated_source": "deprecatedSource",
    "desired_healthy": "desiredHealthy",
    "desired_number_scheduled": "desiredNumberScheduled",
    "desired_replicas": "desiredReplicas",
    "detach_error": "detachError",
    "device_path": "devicePath",
    "disk_name": "diskName",
    "disk_uri": "diskURI",
    "disrupted_pods": "disruptedPods",
    "disruptions_allowed": "disruptionsAllowed",
    "dns_config": "dnsConfig",
    "dns_policy": "dnsPolicy",
    "downward_api": "downwardAPI",
    "empty_dir": "emptyDir",
    "env_from": "envFrom",
    "evaluation_error": "evaluationError",
    "event_time": "eventTime",
    "exclusive_maximum": "exclusiveMaximum",
    "exclusive_minimum": "exclusiveMinimum",
    "exit_code": "exitCode",
    "expected_pods": "expectedPods",
    "external_docs": "externalDocs",
    "external_id": "externalID",
    "external_i_ps": "externalIPs",
    "external_name": "externalName",
    "external_traffic_policy": "externalTrafficPolicy",
    "failed_jobs_history_limit": "failedJobsHistoryLimit",
    "failure_policy": "failurePolicy",
    "failure_threshold": "failureThreshold",
    "field_path": "fieldPath",
    "field_ref": "fieldRef",
    "finished_at": "finishedAt",
    "first_timestamp": "firstTimestamp",
    "flex_volume": "flexVolume",
    "fs_group": "fsGroup",
    "fs_type": "fsType",
    "fully_labeled_replicas": "fullyLabeledReplicas",
    "gce_persistent_disk": "gcePersistentDisk",
    "generate_name": "generateName",
    "git_commit": "gitCommit",
    "git_repo": "gitRepo",
    "git_tree_state": "gitTreeState",
    "git_version": "gitVersion",
    "global_default": "globalDefault",
    "go_version": "goVersion",
    "grace_period_seconds": "gracePeriodSeconds",
    "group_priority_minimum": "groupPriorityMinimum",
    "group_version": "groupVersion",
    "health_check_node_port": "healthCheckNodePort",
    "host_aliases": "hostAliases",
    "host_ip": "hostIP",
    "host_ipc": "hostIPC",
    "host_network": "hostNetwork",
    "host_pid": "hostPID",
    "host_path": "hostPath",
    "host_port": "hostPort",
    "host_ports": "hostPorts",
    "http_get": "httpGet",
    "http_headers": "httpHeaders",
    "image_id": "imageID",
    "image_pull_policy": "imagePullPolicy",
    "image_pull_secrets": "imagePullSecrets",
    "init_container_statuses": "initContainerStatuses",
    "init_containers": "initContainers",
    "initial_delay_seconds": "initialDelaySeconds",
    "initiator_name": "initiatorName",
    "insecure_skip_tls_verify": "insecureSkipTLSVerify",
    "involved_object": "involvedObject",
    "ip_block": "ipBlock",
    "iscsi_interface": "iscsiInterface",
    "job_template": "jobTemplate",
    "kernel_version": "kernelVersion",
    "kube_proxy_version": "kubeProxyVersion",
    "kubelet_endpoint": "kubeletEndpoint",
    "kubelet_version": "kubeletVersion",
    "label_selector": "labelSelector",
    "last_heartbeat_time": "lastHeartbeatTime",
    "last_observed_time": "lastObservedTime",
    "last_probe_time": "lastProbeTime",
    "last_scale_time": "lastScaleTime",
    "last_schedule_time": "lastScheduleTime",
    "last_state": "lastState",
    "last_timestamp": "lastTimestamp",
    "last_transition_time": "lastTransitionTime",
    "last_update_time": "lastUpdateTime",
    "list_kind": "listKind",
    "liveness_probe": "livenessProbe",
    "load_balancer": "loadBalancer",
    "load_balancer_ip": "loadBalancerIP",
    "load_balancer_source_ranges": "loadBalancerSourceRanges",
    "machine_id": "machineID",
    "manual_selector": "manualSelector",
    "match_expressions": "matchExpressions",
    "match_labels": "matchLabels",
    "max_items": "maxItems",
    "max_length": "maxLength",
    "max_limit_request_ratio": "maxLimitRequestRatio",
    "max_properties": "maxProperties",
    "max_replicas": "maxReplicas",
    "max_surge": "maxSurge",
    "max_unavailable": "maxUnavailable",
    "metric_name": "metricName",
    "min_available": "minAvailable",
    "min_items": "minItems",
    "min_length": "minLength",
    "min_properties": "minProperties",
    "min_ready_seconds": "minReadySeconds",
    "min_replicas": "minReplicas",
    "mount_options": "mountOptions",
    "mount_path": "mountPath",
    "mount_propagation": "mountPropagation",
    "multiple_of": "multipleOf",
    "namespace_selector": "namespaceSelector",
    "node_affinity": "nodeAffinity",
    "node_info": "nodeInfo",
    "node_name": "nodeName",
    "node_port": "nodePort",
    "node_selector": "nodeSelector",
    "node_selector_terms": "nodeSelectorTerms",
    "non_resource_attributes": "nonResourceAttributes",
    "non_resource_rules": "nonResourceRules",
    "non_resource_ur_ls": "nonResourceURLs",
    "not_ready_addresses": "notReadyAddresses",
    "number_available": "numberAvailable",
    "number_misscheduled": "numberMisscheduled",
    "number_ready": "numberReady",
    "number_unavailable": "numberUnavailable",
    "observed_generation": "observedGeneration",
    "one_of": "oneOf",
    "open_apiv3_schema": "openAPIV3Schema",
    "operating_system": "operatingSystem",
    "orphan_dependents": "orphanDependents",
    "os_image": "osImage",
    "owner_references": "ownerReferences",
    "path_prefix": "pathPrefix",
    "pattern_properties": "patternProperties",
    "pd_id": "pdID",
    "pd_name": "pdName",
    "period_seconds": "periodSeconds",
    "persistent_volume_claim": "persistentVolumeClaim",
    "persistent_volume_name": "persistentVolumeName",
    "persistent_volume_reclaim_policy": "persistentVolumeReclaimPolicy",
    "photon_persistent_disk": "photonPersistentDisk",
    "pod_affinity": "podAffinity",
    "pod_affinity_term": "podAffinityTerm",
    "pod_anti_affinity": "podAntiAffinity",
    "pod_cidr": "podCIDR",
    "pod_ip": "podIP",
    "pod_management_policy": "podManagementPolicy",
    "pod_selector": "podSelector",
    "policy_types": "policyTypes",
    "portworx_volume": "portworxVolume",
    "post_start": "postStart",
    "pre_stop": "preStop",
    "preferred_during_scheduling_ignored_during_execution": "preferredDuringSchedulingIgnoredDuringExecution",
    "preferred_version": "preferredVersion",
    "priority_class_name": "priorityClassName",
    "progress_deadline_seconds": "progressDeadlineSeconds",
    "propagation_policy": "propagationPolicy",
    "protection_domain": "protectionDomain",
    "provider_id": "providerID",
    "publish_not_ready_addresses": "publishNotReadyAddresses",
    "qos_class": "qosClass",
    "read_only": "readOnly",
    "read_only_root_filesystem": "readOnlyRootFilesystem",
    "readiness_probe": "readinessProbe",
    "ready_replicas": "readyReplicas",
    "reclaim_policy": "reclaimPolicy",
    "reporting_component": "reportingComponent",
    "reporting_controller": "reportingController",
    "reporting_instance": "reportingInstance",
    "required_drop_capabilities": "requiredDropCapabilities",
    "required_during_scheduling_ignored_during_execution": "requiredDuringSchedulingIgnoredDuringExecution",
    "resource_attributes": "resourceAttributes",
    "resource_field_ref": "resourceFieldRef",
    "resource_names": "resourceNames",
    "resource_rules": "resourceRules",
    "resource_version": "resourceVersion",
    "restart_count": "restartCount",
    "restart_policy": "restartPolicy",
    "retry_after_seconds": "retryAfterSeconds",
    "revision_history_limit": "revisionHistoryLimit",
    "role_ref": "roleRef",
    "rollback_to": "rollbackTo",
    "rolling_update": "rollingUpdate",
    "run_as_non_root": "runAsNonRoot",
    "run_as_user": "runAsUser",
    "scale_io": "scaleIO",
    "scale_target_ref": "scaleTargetRef",
    "scheduler_name": "schedulerName",
    "se_linux": "seLinux",
    "se_linux_options": "seLinuxOptions",
    "secret_file": "secretFile",
    "secret_key_ref": "secretKeyRef",
    "secret_name": "secretName",
    "secret_namespace": "secretNamespace",
    "secret_ref": "secretRef",
    "security_context": "securityContext",
    "self_link": "selfLink",
    "server_address": "serverAddress",
    "server_address_by_client_cid_rs": "serverAddressByClientCIDRs",
    "service_account": "serviceAccount",
    "service_account_name": "serviceAccountName",
    "service_name": "serviceName",
    "service_port": "servicePort",
    "session_affinity": "sessionAffinity",
    "session_affinity_config": "sessionAffinityConfig",
    "share_name": "shareName",
    "short_names": "shortNames",
    "singular_name": "singularName",
    "size_bytes": "sizeBytes",
    "size_limit": "sizeLimit",
    "ssl_enabled": "sslEnabled",
    "start_time": "startTime",
    "started_at": "startedAt",
    "starting_deadline_seconds": "startingDeadlineSeconds",
    "stdin_once": "stdinOnce",
    "storage_class_name": "storageClassName",
    "storage_mode": "storageMode",
    "storage_policy_id": "storagePolicyID",
    "storage_policy_name": "storagePolicyName",
    "storage_pool": "storagePool",
    "string_data": "stringData",
    "sub_path": "subPath",
    "success_threshold": "successThreshold",
    "successful_jobs_history_limit": "successfulJobsHistoryLimit",
    "supplemental_groups": "supplementalGroups",
    "system_uuid": "systemUUID",
    "target_average_utilization": "targetAverageUtilization",
    "target_average_value": "targetAverageValue",
    "target_cpu_utilization_percentage": "targetCPUUtilizationPercentage",
    "target_port": "targetPort",
    "target_portal": "targetPortal",
    "target_ref": "targetRef",
    "target_selector": "targetSelector",
    "target_value": "targetValue",
    "target_ww_ns": "targetWWNs",
    "tcp_socket": "tcpSocket",
    "template_generation": "templateGeneration",
    "termination_grace_period_seconds": "terminationGracePeriodSeconds",
    "termination_message_path": "terminationMessagePath",
    "termination_message_policy": "terminationMessagePolicy",
    "time_added": "timeAdded",
    "timeout_seconds": "timeoutSeconds",
    "toleration_seconds": "tolerationSeconds",
    "topology_key": "topologyKey",
    "unavailable_replicas": "unavailableReplicas",
    "unique_items": "uniqueItems",
    "update_revision": "updateRevision",
    "update_strategy": "updateStrategy",
    "updated_annotations": "updatedAnnotations",
    "updated_number_scheduled": "updatedNumberScheduled",
    "updated_replicas": "updatedReplicas",
    "value_from": "valueFrom",
    "version_priority": "versionPriority",
    "volume_binding_mode": "volumeBindingMode",
    "volume_claim_templates": "volumeClaimTemplates",
    "volume_devices": "volumeDevices",
    "volume_handle": "volumeHandle",
    "volume_id": "volumeID",
    "volume_mode": "volumeMode",
    "volume_mounts": "volumeMounts",
    "volume_name": "volumeName",
    "volume_namespace": "volumeNamespace",
    "volume_path": "volumePath",
    "volumes_attached": "volumesAttached",
    "volumes_in_use": "volumesInUse",
    "vsphere_volume": "vsphereVolume",
    "working_dir": "workingDir",
}
